Schedule a new call
curl --request POST \
--url https://api.example.com/scheduled-calls/schedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"leadId": 123,
"leadName": "John Doe",
"scheduledTime": "2026-05-04T10:00:00Z",
"phone": "+1234567890",
"callerType": "AI Agent"
}
'import requests
url = "https://api.example.com/scheduled-calls/schedule"
payload = {
"leadId": 123,
"leadName": "John Doe",
"scheduledTime": "2026-05-04T10:00:00Z",
"phone": "+1234567890",
"callerType": "AI Agent"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
leadId: 123,
leadName: 'John Doe',
scheduledTime: '2026-05-04T10:00:00Z',
phone: '+1234567890',
callerType: 'AI Agent'
})
};
fetch('https://api.example.com/scheduled-calls/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Communications API
Schedule Call
Schedules a new call via Vapi. Automatically builds a dynamic system prompt combining AI Settings (company, goals) and Lead data as assistantOverrides.
POST
/
scheduled-calls
/
schedule
Schedule a new call
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
201 - undefined
⌘I
